## gate.gui
Class NameBearerHandle.ProxyStatusListener

    java.lang.Object
      |
      +--gate.gui.NameBearerHandle.ProxyStatusListener

All Implemented Interfaces:
  EventListener, StatusListener

Enclosing class:
  NameBearerHandle

class NameBearerHandle.ProxyStatusListener
extends Object
implements StatusListener

Constructor Summary
`(package private)` `NameBearerHandle.ProxyStatusListener()`

Method Summary
`void` `statusChanged(String text)` Calleed when there a new status message.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### NameBearerHandle.ProxyStatusListener

    NameBearerHandle.ProxyStatusListener()

Method Detail

### statusChanged

    public void statusChanged(String text)

  Description copied from interface: `StatusListener`
  Calleed when there a new status message.
  Specified by:
    `statusChanged` in interface `StatusListener`
  Following copied from interface: `gate.event.StatusListener`
  Parameters:
    `text` -